/*************************************************************************/
/*                                                                       */
/*                Objective Caml LablTk library                          */
/*                                                                       */
/*         Francois Rouaix, Francois Pessaux and Jun Furuse              */
/*               projet Cristal, INRIA Rocquencourt                      */
/*            Jacques Garrigue, Kyoto University RIMS                    */
/*                                                                       */
/*   Copyright 1999 Institut National de Recherche en Informatique et    */
/*   en Automatique and Kyoto University.  All rights reserved.          */
/*   This file is distributed under the terms of the GNU Library         */
/*   General Public License.                                             */
/*                                                                       */
/*************************************************************************/

/* $Id: cltkTimer.c,v 1.4 1999/12/16 12:25:05 garrigue Exp $ */

#include <tcl.h>
#include <tk.h>
#include <caml/mlvalues.h>
#include "camltk.h"


/* Basically the same thing as FileProc */
void TimerProc (clientdata)
     ClientData clientdata;
{
  callback2(*handler_code,Val_long(clientdata),Val_int(0));
}

value camltk_add_timer(milli, cbid) /* ML */
     value milli;
     value cbid;
{
  CheckInit();
  /* look at tkEvent.c , Tk_Token is an int */ 
  return (value)Tcl_CreateTimerHandler(Int_val(milli), TimerProc, 
                                       (ClientData) (Long_val(cbid)));
}

value camltk_rem_timer(token) /* ML */
     value token;
{
  Tcl_DeleteTimerHandler((Tcl_TimerToken) token);
  return Val_unit;
}

